<?
require'../config.php';
$align='left';
$title='Подарки';
aut();
head();
who_add(0,'enter');

$mod = check($_GET['mod']);

if(!isset($_GET['nk']) && isset($_SESSION['nk']))$nk = check($_SESSION['nk']);
else {$nk = check($_GET['nk']);
$_SESSION['nk']=$_GET['nk'];}


switch($mod){

case 'read':
$gift = check(intval($_GET['gift']));
$a = @mysql_fetch_array(mysql_query ("Select * from gifts where gift_id = '".$nk."' and id = '".$gift."'"));

echo '<img src="'.H.'gifts/'.$a['gift'].'"/><br />';
if ($a[anonim]==0)$gu = nik($a[user_id]); else $gu = 'Аноним';
if ($a[publ]==0)$publ = ''; else $publ = ' </b>(<u title="Подарок виден только вам!">Лично</u>)<b>';
echo '<u>Подарил:</u> <b>'.$gu.$publ.'</b> ('.times($a['time']).')<br />';
echo '<u>Комментарий:</u><br />'.$a['kom'].'<br />';

if($user[id]==$nk || $user[level]>=5)echo '<br /><a href="'.H.'gifts'.$nk.'_'.$a[id].'?del">Удалить</a><br />';

if (isset($_GET['del'])){
if($user[id]==$nk || $user[level]>=5){
mysql_query("DELETE FROM gifts where gift_id = '".$nk."' and id = '".$gift."'");
}

header ('Location: '.H.'gifts'.$nk.'?'.SID);

}

break;

case 'gift':
$path = check(intval($_GET['path']));
$gift = check($_GET['gift']);

if ($user['rur']<$path)$err = 'У вас нет <b>'.$path.'</b> рублей!';

if (empty($err)){



$act = check($_GET['act']);
if (empty($act)){
echo '<b>Подарок:</b><br /><img src="'.$path.'/'.$gift.'"/><br />';
if ($ver!='wml')echo '<form action="index?mod='.$mod.'&amp;act=add&amp;&amp;path='.$path.'&amp;gift='.$gift.'&amp;'.SID.'" method="post">';
echo 'Комментарий:<br /><input name="kom" title="Комментарий"/><br/>';
echo '<input type="checkbox" name="anonim" value="1"/> Анонимный<br/>';
echo '<input type="checkbox" name="publ" value="1"/> Личный<br/>';

if ($ver=='wml'){
echo '<br /><anchor title="go">Сделать подарок<go href="index?mod='.$mod.'&amp;act=add&amp;&amp;path='.$path.'&amp;gift='.$gift.'&amp;'.SID.'" method="post"><br />';
echo '<postfield name="kom" value="$kom"/>
<postfield name="anonim" value="$anonim"/>
<postfield name="publ" value="$publ"/>
</go></anchor><br /><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сделать подарок" class="cp"><br />';
}

}else{

$kom = check($_POST['kom']);
$anonim = check(intval($_POST['anonim']));
$publ = check(intval($_POST['publ']));

if ($user['translit']==1)$kom = translit($kom);
mysql_query("INSERT INTO `gifts` (user_id,gift_id,time,kom,gift,anonim,publ) values('$user[id]','".user_inf($nk)."','$time','$kom','".$path."/".$gift."','$anonim','$publ')");
$rurm = $user['rur']-$path;
mysql_query('UPDATE `users` SET `rur` = "'.$rurm.'" WHERE `id` = "'.$user['id'].'"');
echo 'Подарок отправлен пользователю <b>'.user_inf($nk,'user').'</b>!<br />';
if ($anonim==1)$podaril = 'Аноним';
else $podaril = $user['user'];
if (user_inf($nk,'fr_notify')==1){
if ($user['sex']==1)$sex = 'сделал'; else $sex = 'сделала';
$ids = mysql_fetch_array(mysql_query("SELECT * FROM `gifts` WHERE `kom` = '".$kom."'"));
$idi=$ids['id'];
$msg = 'Пользователь [b]'.$podaril.'[/b] '.$sex.' Вам [url=/gifts'.$nk.'_'.$idi.']подарок[/url].';
mysql_query ("INSERT INTO privat (user,user_id,to_user,to_id,time,msg) VALUES ('$user_system','0','".user($nk)."','".user_inf($nk)."','$time','$msg')");

$subject = $_SERVER['HTTP_HOST'];
$msgmail = ''.$podaril.' '.$sex.' Вам подарок.\r Просмотреть Ваши подарки можно на странице:\r http://'.$_SERVER['HTTP_HOST'].'/gifts'.$nk.' \r\r С уважением,
Администрация '.$_SERVER['HTTP_HOST'].'\r\r\r_ _ _ _ _
Вы можете поменять настройки e-mail оповещений на странице:
http://'.$_SERVER['HTTP_HOST'].'/my/setting?mod=notify';
$adds = "From: <admin@".$_SERVER['HTTP_HOST'].">";
$adds .= "X-sender: <admin@".$_SERVER['HTTP_HOST'].">";
$adds .= "Content-Type: text/plain; charset=utf-8";
$mail=explode('|',user_inf($to,'mail'));
mail($mail[0],$subject,$msgmail,$adds);
}



}




}else echo $err;
break;

}

?>
